//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SEDIT.H 

#if !defined(__SFX_SEDIT_H)
#define __SFX_SEDIT_H

#if !defined(__OWL_EDIT_H)
  #include <owl\edit.h>
#endif

//	class TSFXEdit

class _OWLCLASS TSFXEdit : public TEdit
{
public:
	TSFXEdit(TWindow*        parent,
			 int             id,
			 const char far* text,
			 int x, int y, int w, int h,
			 UINT            textLen = 0,
			 BOOL            multiline = FALSE,
			 TModule*        module = 0);

	TSFXEdit(TWindow*   parent,
			 int        resourceId,
			 UINT       textLen = 0,
			 TModule*   module = 0);

  protected:
	char far* GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXEdit, TEdit);
};

#endif //	__SFX_SEDIT_H
